hxt-9.3.1.15: A collection of tools for processing XML with Haskell.

Copyright | Copyright (C) 2005-2010 Uwe Schmidt
License | MIT
Maintainer | Uwe Schmidt (uwe\@fh-wedel.de)
Stability | stable
Portability | portable
Safe Haskell | Safe
Language | Haskell98

Data.Tree.NTree.TypeDefs

Description

Interface definition for trees

n-ary tree structure (rose trees)

Synopsis

- data NTree a = NTree a (NTrees a)
- type NTrees a = [NTree a]

# Documentation

data NTree a Source

n-ary ordered tree (rose trees)

a tree consists of a node and a possible empty list of children. If the list of children is empty, the node is a leaf, else it's an inner node.

NTree implements Eq, Ord, Show and Read

Constructors

NTree a (NTrees a) |

Instances

Functor NTree Source | NTree implements class Functor
Foldable NTree Source | NTree implements class Foldable
Traversable NTree Source | NTree implements class Taversable
Tree NTree Source | Implementation of Data.Tree.Class interface for rose trees
Eq a => Eq (NTree a) Source |
Ord a => Ord (NTree a) Source |
Read a => Read (NTree a) Source |
Show a => Show (NTree a) Source |
Binary a => Binary (NTree a) Source |
NFData a => NFData (NTree a) Source |
WNFData a => WNFData (NTree a) Source |

type NTrees a = [NTree a] Source

shortcut for a sequence of n-ary trees